* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    font-size: 16px;
    /* min-height: 100vh; */
}

body {
    width: 1040px;
    margin: 0 auto;
    font-family: "Figtree", BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, sans-serif;
    line-height: 1.6;
    color: #333;
    background-color: #fafafa;
    padding-bottom: 60px;
    /* min-height: 100vh; */
}

.container {
    background-color: #fafafa;
    padding-bottom: 100px;
}

.container-full {
    background-image: url("../i/safe-community-cpted-principles.jpg");
    background-color: red;
    background-size: auto 100%;
    background-position: center;
    background-repeat: no-repeat;
    height: 100vh;
}

:root {
    --primary-color: #F7EF36;
    --highlight-color: #36edf7;
    --white: #fff;
}

:focus {
    background-color: var(--primary-color);
}

::selection {
    background-color: var(--highlight-color);
    color: #999;
}

@media (max-width: 768px) {
    body {
        width: 100%;
    }

    section h5.hero{
        padding: 60px 20px 20px !important
    }

    section h5.hero {
        padding-top: 60px;
    }

    h5.hero {
        padding: 0 20px 20px !important;
    }

    h5.hero + p, .center {
        padding: 0 20px 20px !important;
    }

    h3.hero {
        padding: 0 20px 20px !important;
    }

    h2.hero {
        font-size: 3rem!important;
        text-align: center !important;
    }

    h1.hero {
        font-size: 5rem !important;
        text-align: center !important;
    }

    .columns::after {
        display: none;
    }

    .container-full {
        background-size: cover;
        background-position: left 20% center;
        width: 100vw;
    }

    .container-full h2.hero {
        font-size: 2.5em;
    }

    section {
        max-width: 600px;
        margin: 0 auto;
        padding: 0 16px;
    }

    ul.flex, .columns {
        flex-direction: column;
    }
}

a {
    color: inherit;
    text-decoration: none;
}

button {
    cursor: pointer;
    border: none;
    font-family: inherit;
}

ul {
    list-style-type: none;
}

ul.list-big {
    padding: 0 200px 40px 200px;
    list-style-type: disc;
    list-style-position: inside;
    font-size: 1.2rem;
}

ul.list-big li {
    padding-left: 1.5em;
    text-indent: -1.5em;  /* Negative indent pulls bullet left */
}

img {
    max-width: 100%;
    height: auto;
    display: block;
}

h1, h2, h3, h4, h5, h6 {
    margin-bottom: 0.5rem;
    line-height: 1.3;
}

a, a:link, a:visited, a:hover, a:active {
  text-decoration: none;
}

div.license, div.license a {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 20px 0;
    font-size: 1rem;
    text-align: center;
}

div.license a:hover span {
    text-decoration: underline;
    text-underline-offset: 5px;
}

div.license i {
    margin: 0 6px;
}

.highlight {
    background-color: var(--primary-color);
}

.figtree {
  font-family: "Figtree", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-style: normal;
}

h1.hero {
    font-size: 6rem;
    text-align: right;
    font-style: italic;
    font-weight: 800;
    line-height: 100%;
    padding-bottom: 25px;
}

h2.hero {
    font-size: 3.8rem;
    padding: 0 0;
    text-align: left;
    font-style: italic;
    font-weight: 800;
    line-height: 100%;
}

.container-full h2.hero {
    color: white;
    text-shadow: #333 0 0 10px;
    line-height: 120%;
    padding: 60px 20px 0px;
}

.container-full span.highlight {
    color: black;
    text-shadow: none;
}

h3.hero {
    font-size: 1.9rem;
    padding: 0 189px;
    text-align: center;
    padding-bottom: 25px;
}

h3.list-title {
    font-size: 1.9rem;
    padding: 0 189px;
    text-align: center;
}

.columns .column strong {
    padding-top: 10px;
    display: block;
}

h4 {
    font-size: 1.2rem;
    font-weight: 600;
}

h4.highlight {
    display: inline-block;
}

h5.hero {
    font-size: 1.5rem;
    font-weight: 400;
    padding: 0 170px;
    text-align: center;
    padding-bottom: 30px;
}

h5.hero + p, p.center {
    padding: 0 200px;
    text-align: center;
    padding-bottom: 30px;
    font-size: 1.2rem;
}

.column-center {
    padding: 0 200px;
}

h2.hero {
    padding-bottom: 30px;
}

h4.center {
    background-color: var(--primary-color);
    margin-left: -20px;
    margin-right: -20px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;;
}

.important {
    width:60%;
    margin: 0 auto;
    padding: 20px;
    /* padding-left: 20px;
    padding-right: 20px;
    padding-bottom: 20px; */
    margin-bottom: 40px;
    filter: drop-shadow(0 0 4px rgba(0, 0, 0, 0.4));
    border-radius: 10px;
}

.column.important ul {
    text-align: left;
    display: inline-block;
    list-style-type: disc;
    list-style-position: inside;
}

.columns ul, .important ul, .column ul {
    padding: 10px 0;
}

.column ul li {
    padding: 5px 0;
}

p.center {
    text-align: justify !important;
}

.italic {
    font-style: italic;
}

section h5.hero {
    padding-top: 100px;
    font-weight: 800;
}

h6.hero {
    font-size: 1.6rem;
    padding: 20px 20px 60px;
    text-align: left;
    padding-bottom: 30px;
}

ul.flex, .columns {
    display: flex;
    width: 100%;
    padding: 0;
    margin: 0;
    list-style-type: none;
    gap: 40px;
}

.columns.detail > .default {
    flex: 1 1 calc(50% - 10px);
    min-width: calc(50% - 10px);
}

.columns.two-column::after {
    content: '';
    position: absolute;
    left: 50%;
    top: 0;
    bottom: 0;
    border-left: 2px dotted #ccc;
}

.columns.bottom .center {
    background-color: #eee;
    padding : 20px;
    border-radius: 10px;;
}

.two-column li, .columns.bottom li {
    border-bottom: 2px dashed #eee;
}

.columns.important li {
    border-bottom: 2px dashed #ddd;
}

.columns.bottom {
    padding-top: 30px;
}

ul.flex {
    justify-content: space-around;
}

.columns {
    position: relative;
}

.columns.detail {
    padding-bottom: 2rem;
}

.columns.detail ul, ul.default {
    list-style-type: disc;
    list-style-position: inside;
}

.columns.detail h4 {
    background-color: var(--primary-color);
    /* border-bottom: 2px solid #bbb; */
    display: inline-block;
}

ul.flex li, .column, ul.default {
    flex: 1;
    text-align: center;
}

ul.default {
    padding-bottom: 20px;
}

nav {
    position: fixed;
    bottom: 0;
    width: 1040px;
    background-color: #fafafa;

    z-index: 1;
    display: flex;
    align-items: center;
    gap: 20px;
    justify-content: space-between;
    flex-direction: row;
    background-color: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(10px);
}

nav h4 {
    text-align: left;
    font-style: italic;
    font-size: 3rem;
}

nav .left {
    /* display: flex;
    justify-content: center;
    gap: 20px;
    text-align: center; */
    padding-left: 20px;
    /* padding-bottom: 20px; */
}

nav .right {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 30px;
    text-align: center;
    align-items: flex-end;
    height: 100%;
    padding-right: 20px;
}

nav .nav-group {
    width: 100%;
    display: flex;
    justify-content: flex-end;
}

nav .left button, .btn-submit {
    background-color: #eee;
    color: #000;
    padding: 10px 20px;
    border-radius: 0px;
    font-size: 1rem;
    margin-bottom: 20px;
}

nav ul {
    display: flex;
    flex-direction: row;
    gap: 40px;
    padding: 0;
    /* list-style-type: none; */
    align-self: flex-end;
    justify-content: flex-end;
    align-items: center;
}

nav .secondary ul {
    gap: 30px;
}

nav ul li {
    flex: 0 1 auto;
    text-align: center;
}

.center_fix, nav ul li a {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 4px;
}

hr.solid {
  border-top: 3px solid #bbb;
  margin: 85px 0;
}

h1, h2, h4 {
    text-align: center;
}

h2 {
    font-size: 1.5rem;
}

h2 {
    font-size: 1.2rem;
}

section ol, section ol ol, section ol ol ol {
    margin-left: 40px;
    margin-bottom: 20px;
}

section ol li {
    padding-left: 15px;
}

ol .hardware_requirements{
    list-style: none;
    counter-reset: custom-counter;
    padding-left: 0px;
}

ol .hardware_requirements li {
    display: flex;
    align-items: flex-start;
}

ol .hardware_requirements li::before {
    content: counter(custom-counter); /* Use the counter value as content */
    counter-increment: custom-counter; /* Increment the counter */
    background-color: var(--primary-color);
    height: 20px;
    line-height: 20px;
    padding: 0 5px;
    margin-right: 20px;
}

li span.highlight + a .material-icons-outlined {
    color: #2196f3; /* Example: Blue color */
    font-size: 18px; /* Example: Size adjustment */
    vertical-align: text-bottom;
    margin-left: 5px; /* Spacing */
}

section.space-bottom {
    display: flex;
    justify-content: center;
    padding-top: 10px;
}

.banner {
    display: flex;
    justify-content: center;
    padding: 20px 40px;
    border: 5px solid var(--primary-color);
    display: grid;
    justify-items: center;
    width: 500px;
    margin-bottom: 100px;
}

.banner h3 {
    font-size: 2.5rem;
    font-weight: 600;
    text-align: center;
    padding: 0;
    margin: 0;
    font-style: italic;
}

/* DIALOG */

html {
    scrollbar-gutter: stable;
    scrollbar-base-color: var(--primary-color);
    scrollbar-color: var(--primary-color) transparent;
}

html:has(dialog[open]) {
    overflow: hidden;
}

.modal-content input:focus {
    background-color: var(--white);
}

.modal-content input, .modal-content textarea {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 4px;
    width: 100%;
    margin-bottom: 15px;
    background-color: #ffffffbb;
    font-family: "Figtree", BlinkMacSystemFont, 'Segoe UI', Roboto, Oxygen, Ubuntu, Cantarell, sans-serif;
    font-weight: 600;
    font-size: 1.25rem;
    font-style: italic;
    line-height: 1.6;
    letter-spacing: 0.05rem;
}

.modal-content h1 {
    margin: 0;
}

.modal-content i {
    font-size: 2rem;
}

.close-modal {
    background-color: transparent;
    border: none;
    cursor: pointer;
}

#dialog.modal {
    margin: auto;
    padding: 20px;
    box-sizing: border-box;
    max-width: 500px;
    width: 70%;
    background-color: var(--primary-color);
    /* border: none;
    border-radius: 8px;
    padding: 20px;
    width: 400px;
    max-width: 90%;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1); */
}

#dialog.modal::backdrop {
    background-color: rgba(0, 0, 0, 0.65);
    backdrop-filter: blur(5px);
}

.modal-content .btn-submit {
    margin-top: 1rem;
    display: block;
    margin-left: auto;
    background-color: var(--white);
}

.modal-content ::selection {
    background-color: var(--white);
    color: #000;
}

